%global momorel 2

Name:           perl-HTML-Parser
Version:        3.66
Release:        %{momorel}m%{?dist}
Summary:        HTML parser class
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-Parser/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAS/HTML-Parser-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 5.006
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-HTML-Tagset >= 3
BuildRequires:  perl-Test-Simple
#loop BuildRequires:  perl-libwww-perl
Requires:       perl-HTML-Tagset >= 3
Requires:       perl-libwww-perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Objects of the HTML::Parser class will recognize markup and separate it
from plain text (alias data content) in HTML documents. As different
kinds of markup and text are recognized, the corresponding event handlers
are invoked.

%prep
%setup -q -n HTML-Parser-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes mkhctype mkpfunc README TODO
%{perl_vendorarch}/auto/HTML/Parser
%{perl_vendorarch}/HTML/*.pm
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.66-2m)
- full rebuild for mo7 release

* Sat Jul 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.66-1m)
- update to 3.66

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.65-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.65-2m)
- rebuild against perl-5.12.0

* Tue Apr 06 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.65-1m)
- update to 3.65
- Specfile re-generated by cpanspec 1.78.

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.64-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.64-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Oct 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.64-1m)
- update to 3.64

* Sat Oct 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.63-1m)
- [SECURITY] CVE-2009-3627
- update to 3.63

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.62-2m)
- rebuild against perl-5.10.1

* Sun Aug 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.62-1m)
- update to 3.62

* Thu Jun 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.61-1m)
- update to 3.61

* Wed Feb 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.60-1m)
- update to 3.60

* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.59-1m)
- update to 3.59

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.58-2m)
- rebuild against rpm-4.6

* Fri Nov 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.58-1m)
- update to 3.58

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.56-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.56-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.56-2m)
- use vendor

* Sat Jan 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.56-1m)
- update to 3.56

* Sat Jul 29 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.55-1m)
- update to 3.55

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (3.54-1m)
- update to 3.54

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.48-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (3.48-1m)
- update to 3.48

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.45-1m)
- version up to 3.45
- built against perl-5.8.7
- built against perl-HTML-Tagset >= 3.04-1m
- removed Patch HTML-Parser-3.32-unicode.patch

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.36-3m)
- rebuild against perl-5.8.5
- rebuild against perl-HTML-Tagset >= 3.03-13m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.36-2m)
- remove Epoch from BuildRequires

* Tue Apr 20 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.36-1m)
- update to 3.36

* Fri Jan 30 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.35-1m)
- update to 3.35

* Mon Nov 17 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.34-2m)
- fix version: BTS report id=3

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.34-1m)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.33-4m)
- rebuild against perl-5.8.2
- rebuild against perl-HTML-Tagset 3.03-12m

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.33-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (3.33-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Oct 24 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.33-1m)
- update to 3.33

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.32-2m)
- kill %%define name
- kill %%define version 

* Sun Oct 12 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.32-1m)
- update to 3.32
- modify Patch to fit HTML-Parser-3.32

* Wed Aug  6 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.28-1m)
- update to 3.28

* Sun Jan 26 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.27-1m)

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.26-4m)
- rebuild against perl-5.8.0

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.26-3m)
- remove BuildRequires: gcc2.95.3

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (3.26-2k)
- ver up.

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (3.25-6k)
- rebuild against for perl-5.6.1

* Mon Sep 17 2001 Toru Hoshina <toru@df-usa.com>
- (3.25-4k)
- no mode fixpack...

* Sat Sep 15 2001 Toru Hoshina <t@kondara.org>
- (3.25-2k)
- merge from rawhide. based on 3.25-2.

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 3.25-2
- imported from mandrake. tweaked man path.

* Tue Jul 03 2001 Francois Pons <fpons@mandrakesoft.com> 3.25-1mdk
- 3.25.

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 3.18-3mdk
- Fixed distribution tag.
- Updated Requires.
- Added an option to %makeinstall.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.18-2mdk
- Rebuild against the latest perl.

* Tue Feb 27 2001 Francois Pons <fpons@mandrakesoft.com> 3.18-1mdk
- 3.18.

* Tue Jan 30 2001 Francois Pons <fpons@mandrakesoft.com> 3.15-1mdk
- 3.15.

* Tue Dec 05 2000 Francois Pons <fpons@mandrakesoft.com> 3.14-1mdk
- 3.14.

* Thu Oct 12 2000 Francois Pons <fpons@mandrakesoft.com> 3.13-1mdk
- 3.13.

* Tue Aug 29 2000 Francois Pons <fpons@mandrakesoft.com> 3.11-1mdk
- 3.11.

* Thu Aug 03 2000 Francois Pons <fpons@mandrakesoft.com> 3.10-2mdk
- macroszifications.
- add doc.

* Tue Jul 18 2000 Francois Pons <fpons@mandrakesoft.com> 3.10-1mdk
- removed perllocal.pod from files.
- 3.10.

* Tue Jun 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.08-1mdk
- update to 3.08

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.05-4mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 3.05-3mdk
- rebuild, new group, cleanup

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.0.5-1mdk
- upgrade to 3.05

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
-updated to 3.02

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 2.23

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
